Mantis Bug Tracker

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000113FaqGeneralpublic2013-11-26 20:37
Reporterbazzit 
Assigned Toadministrator 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.1.0 
Target VersionFixed in Version0.1.2 
Summary0000113: Packages are invalid
DescriptionThree packages FAQ_ADmIN, FAQ_DISPLAY and FAQ_FUNCTIONS are invalid. Try to compile, get
PACKAGE BODY FAQ_APP.FAQ_ADMIN
On line: 224
PLS-00201: identifier WWNLS_API must be declared

PACKAGE BODY FAQ_APP.FAQ_DISPLAY
On line: 85
PLS-00201: identifier WWCTX_API must be declared

PACKAGE BODY FAQ_APP.FAQ_FUNCTIONS
On line: 10
PLS-00201: identifier WWCTX_API must be declared


TagsNo tags attached.
Attached Files

- Relationships

-  Notes
~0000429
administrator (administrator)


Hello

can you execute those statments as portal user, replace &4 by the faq user.

grant execute on WWSEC_API to &4;
grant execute on WWSEC_OID to &4;
grant select on WWSEC_GROUP$ to &4;
grant select on WWSEC_PERSON to &4;
grant select on WWSEC_PERSON$ to &4;
grant select on WWC_VERSION$ to &4;
GRANT EXECUTE ON WWCTX_API TO &4;
GRANT EXECUTE ON WWDOC_API TO &4;
GRANT EXECUTE ON WWNLS_API TO &4;
~0000430
bazzit (reporter)


Hello,

Thanks it works. I will test the whole faq functions now.
~0000431
administrator (administrator)


The script to grant privileges on the portal packages is not present.

A new installation script need to be build

- Issue History
Date Modified Username Field Change
2007-02-12 14:24 bazzit New Issue
2007-02-13 09:46 administrator Status new => assigned
2007-02-13 09:46 administrator Assigned To => administrator
2007-02-13 09:47 administrator Note Added: 0000429
2007-02-13 09:59 bazzit Note Added: 0000430
2007-02-13 10:01 administrator Status assigned => resolved
2007-02-13 10:01 administrator Fixed in Version => 0.1.2
2007-02-13 10:01 administrator Resolution open => fixed
2007-02-13 10:01 administrator Note Added: 0000431
2013-11-26 20:37 stevenw Issue Monitored: stevenw
2013-11-26 20:37 stevenw Issue End Monitor: stevenw